#!/usr/bin/env python

from __future__ import (
    absolute_import, division, print_function, unicode_literals,
)

import inspect
import os
import sys
import tarfile
import unittest

_MY_DIR = os.path.realpath(os.path.dirname(inspect.getframeinfo(inspect.currentframe()).filename))

_TAR_FILE_NAMES = (
    'test.tar.bz2',
    'test.tar',
)

_TAR_FILE_PATHS = tuple(( os.path.join(_MY_DIR, t) for t in _TAR_FILE_NAMES ))

class TestTarFileNext(unittest.TestCase):

    def test_next(self):
        for tar_file_path in _TAR_FILE_PATHS:
            print('opening {}'.format(tar_file_path), file=sys.stderr)

            with tarfile.open(tar_file_path) as tar_file:
                next_info = tar_file.next()

                while next_info:
                    print('found {}'.format(next_info.name), file=sys.stderr)
                    next_info = tar_file.next()

if __name__ == '__main__':
    unittest.main()
